package mapper

import (
	"netidhub-saas-be/app/database/entity"
	res "netidhub-saas-be/app/module/clients/response"
)

func ClientsResponseMapper(clientsReq *entity.Clients) (clientsRes *res.ClientsResponse) {
	if clientsReq != nil {
		clientsRes = &res.ClientsResponse{
			ID:    clientsReq.ID,
			Name:        clientsReq.Name,
			CreatedById: clientsReq.CreatedById,
			IsActive:    clientsReq.IsActive,
			CreatedAt:   clientsReq.CreatedAt,
			UpdatedAt:   clientsReq.UpdatedAt,
		}
	}
	return clientsRes
}
